Bug 437400 - Review Request: msr-tools - tools to read/write processor model specific registers
Review Request: msr-tools - tools to read/write processor model specific regi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 17:03 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-24 10:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-03-13 17:03:02 EDT
Spec URL: http://davej.fedorapeople.org/msr-tools.spec
SRPM URL: http://davej.fedorapeople.org/msr-tools-1.1.2-1.src.rpm
Description: Two tools to read/write processor model specific registers
Comment 1 Lubomir Kundrak 2008-03-14 23:24:49 EDT
meh; this seem to suffer from the very same problems as bug #437397
So I'll take also this one for review.
Comment 2 Dave Jones 2008-03-17 16:03:51 EDT
spec updated with comments from 437397
srpm url changed to http://davej.fedorapeople.org/msr-tools-1.1.2-1.fc9.src.rpm

thanks.
Comment 3 Lubomir Kundrak 2008-03-18 10:48:19 EDT
1.) Package currently won't build:

install rdmsr %{buildroot}%{_sbindir}/rdmsr
install wrmsr %{buildroot}%{_sbindir}/wrmsr

Did you mean "install -D there"?

2.) Some cosmetical things:

msr-tools.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 36)
msr-tools.src: W: summary-ended-with-dot Collection of tools for reading/writing
CPU model specific registers.
msr-tools.x86_64: W: incoherent-version-in-changelog 1.1.2 1.1.2-1.fc8

the last one is the same as bug #437397 comment #3 -- the changelog header
should end with " - 1.1.2-1" (no dist tag there, contrary to what rpmlint output
above suggests)

I see no more issues with the package. I'll approve it once these are addressed.
Comment 4 Lubomir Kundrak 2008-03-18 10:49:44 EDT
Oh, pardon me -- one more minor thing: "-n %{name}-%{version}" as %setup macro
argument is not necessary.
Comment 5 Dave Jones 2008-03-18 17:26:57 EDT
Thanks, Updated.
Comment 6 Lubomir Kundrak 2008-03-19 07:34:19 EDT
msr-tools.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 36)
Just remove the dot, so that rpmlint is happy, when importing :)
Does not warrant a review blocker though

APPROVED
Comment 7 Kevin Fenzi 2008-03-19 22:50:05 EDT
Please use a cvs template here so we know what branches you want, etc...
see: 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 8 Dave Jones 2008-03-20 18:05:12 EDT
New Package CVS Request
=======================
Package Name: msr-tools
Short Description: Collection of tools for reading/writing CPU model specific
registers.
Owners: davej
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-20 19:02:05 EDT
cvs done.
Comment 10 Greg Bailey 2014-09-23 07:58:24 EDT
Package Change Request
======================
Package Name: msr-tools
New Branches: el6 epel7
Owners: davej gbailey
Comment 11 Greg Bailey 2014-09-23 10:23:11 EDT
Package Change Request
======================
Package Name: msr-tools
New Branches: el5
Owners: davej gbailey
Comment 12 Jon Ciesla 2014-09-23 10:33:19 EDT
Git done (by process-git-requests).
Comment 13 Greg Bailey 2014-09-23 10:37:08 EDT
Repeating this request as it apparently was skipped when I added an additional request for the el5 branch...


Package Change Request
======================
Package Name: msr-tools
New Branches: el6 epel7
Owners: davej gbailey
Comment 14 Jon Ciesla 2014-09-23 15:13:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.